<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop"
        android:src="@mipmap/details_act_bg" />

    <View
        android:id="@+id/view"
        android:layout_width="wrap_content"
        android:layout_height="0dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/view"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="42dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">


            <LinearLayout
                android:id="@+id/back_btn"
                android:layout_width="42dp"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/back_black_icon" />

            </LinearLayout>

            <TextView
                android:id="@+id/title_tv"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_weight="1"
                android:text="@string/app_name"
                android:textColor="@color/black"
                android:textSize="16dp"
                android:textStyle="bold" />

            <LinearLayout
                android:id="@+id/like_btn"
                android:layout_width="42dp"
                android:layout_height="match_parent"
                android:layout_marginEnd="8dp"
                android:gravity="center">

                <ImageView
                    android:id="@+id/like_img"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/like_unselect_icon" />

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/loading_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <org.libpag.PAGView
                android:id="@+id/pag_view"
                android:layout_width="88dp"
                android:layout_height="100dp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="loading"
                android:textColor="#999999"
                android:textSize="14sp" />

        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp"
                android:layout_marginBottom="24dp"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="280dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:src="@drawable/placeholder_icon" />

                    <ImageView
                        android:id="@+id/image_view"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_centerInParent="true" />

                </RelativeLayout>

                <LinearLayout
                    android:id="@+id/down_btn"
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:background="@mipmap/down_btn_bg"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                        <ProgressBar
                            android:id="@+id/loading_bar"
                            android:layout_width="25dp"
                            android:layout_height="25dp"
                            android:visibility="gone" />

                        <ImageView
                            android:id="@+id/down_icon"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/down_icon" />
                    </RelativeLayout>

                    <TextView
                        android:id="@+id/down_tv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="12dp"
                        android:text="@string/download"
                        android:textColor="@color/black"
                        android:textSize="16dp"
                        android:textStyle="bold" />

                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</RelativeLayout>